package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag720;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT720Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag42PCreator extends AbsTagCreate {

     private MT720Creator mt720Creator;

    public Tag42PCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt720Creator= (MT720Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag42PValue = mt720Creator.getNegotiationDeferredPaymentDetails();
        mt720Creator.set("42P", tag42PValue);
    }
}
